XSSimpleTypeDefinition (XML Schema API)
Keywords: org.apache.xerces.xs.XSSimpleTypeDefinition interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSSimpleTypeDefinition

All Superinterfaces:
  XSObject, XSTypeDefinition

    public interface XSSimpleTypeDefinition

extends XSTypeDefinition

This interface represents the Simple Type Definition schema component. This interface provides several query operations for facet components. Users can either retrieve the defined facets as XML Schema components, using the `facets` and the `multiValueFacets` attributes; or users can separately query a facet's properties using methods such as `getLexicalFacetValue`, `isFixedFacet`, etc.

Field Summary
`static short` | `FACET_ENUMERATION` 4.3.5 enumeration.
`static short` | `FACET_FRACTIONDIGITS` 4.3.12 fractionDigits.
`static short` | `FACET_LENGTH` 4.3.1 Length
`static short` | `FACET_MAXEXCLUSIVE` 4.3.9 maxExclusive.
`static short` | `FACET_MAXINCLUSIVE` 4.3.7 maxInclusive.
`static short` | `FACET_MAXLENGTH` 4.3.3 maxLength.
`static short` | `FACET_MINEXCLUSIVE` 4.3.9 minExclusive.
`static short` | `FACET_MININCLUSIVE` 4.3.10 minInclusive.
`static short` | `FACET_MINLENGTH` 4.3.2 minLength.
`static short` | `FACET_NONE` No facets defined.
`static short` | `FACET_PATTERN` 4.3.4 pattern.
`static short` | `FACET_TOTALDIGITS` 4.3.11 totalDigits .
`static short` | `FACET_WHITESPACE` 4.3.5 whitespace.
`static short` | `ORDERED_FALSE` A constant defined for the 'ordered' fundamental facet: not ordered.
`static short` | `ORDERED_PARTIAL` A constant defined for the 'ordered' fundamental facet: partially ordered.
`static short` | `ORDERED_TOTAL` A constant defined for the 'ordered' fundamental facet: total ordered.
`static short` | `VARIETY_ABSENT` The variety is absent for the anySimpleType definition.
`static short` | `VARIETY_ATOMIC` `Atomic` type.
`static short` | `VARIETY_LIST` `List` type.
`static short` | `VARIETY_UNION` `Union` type.

Fields inherited from interface org.apache.xerces.xs.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`boolean` | `getBounded()` Fundamental Facet: bounded.
`short` | `getBuiltInKind()` Returns the closest built-in type category this type represents or derived from.
`short` | `getDefinedFacets()` [facets]: all facets defined on this type.
`XSObject` | `getFacet(int facetType)` A constraining facet object.
`XSObjectList` | `getFacets()` A list of constraining facets if it exists, otherwise an empty `XSObjectList`.
`boolean` | `getFinite()` Fundamental Facet: cardinality.
`short` | `getFixedFacets()` [facets]: all defined facets for this type which are fixed.
`XSSimpleTypeDefinition` | `getItemType()` If variety is `list` the item type definition (an atomic or union simple type definition) is available, otherwise `null`.
`StringList` | `getLexicalEnumeration()` A list of enumeration values if it exists, otherwise an empty `StringList`.
`java.lang.String` | `getLexicalFacetValue(short facetName)` Convenience method.
`StringList` | `getLexicalPattern()` A list of pattern values if it exists, otherwise an empty `StringList`.
`XSObjectList` | `getMemberTypes()` If variety is `union` the list of member type definitions (a non-empty sequence of simple type definitions) is available, otherwise an empty `XSObjectList`.
`XSObjectList` | `getMultiValueFacets()` A list of enumeration and pattern constraining facets if it exists, otherwise an empty `XSObjectList`.
`boolean` | `getNumeric()` Fundamental Facet: numeric.
`short` | `getOrdered()` Fundamental Facet: ordered.
`XSSimpleTypeDefinition` | `getPrimitiveType()` If variety is `atomic` the primitive type definition (a built-in primitive datatype definition or the simple ur-type definition) is available, otherwise `null`.
`short` | `getVariety()` [variety]: one of {atomic, list, union} or absent.
`boolean` | `isDefinedFacet(short facetName)` Convenience method.
`boolean` | `isFixedFacet(short facetName)` Convenience method.

Methods inherited from interface org.apache.xerces.xs.XSTypeDefinition
`derivedFrom, derivedFromType, getAnonymous, getBaseType, getFinal, getTypeCategory, isFinal`

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### VARIETY_ABSENT

    static final short VARIETY_ABSENT

  The variety is absent for the anySimpleType definition.

  See Also:
    Constant Field Values

### VARIETY_ATOMIC

    static final short VARIETY_ATOMIC

  `Atomic` type.

  See Also:
    Constant Field Values

### VARIETY_LIST

    static final short VARIETY_LIST

  `List` type.

  See Also:
    Constant Field Values

### VARIETY_UNION

    static final short VARIETY_UNION

  `Union` type.

  See Also:
    Constant Field Values

### FACET_NONE

    static final short FACET_NONE

  No facets defined.

  See Also:
    Constant Field Values

### FACET_LENGTH

    static final short FACET_LENGTH

  4.3.1 Length

  See Also:
    Constant Field Values

### FACET_MINLENGTH

    static final short FACET_MINLENGTH

  4.3.2 minLength.

  See Also:
    Constant Field Values

### FACET_MAXLENGTH

    static final short FACET_MAXLENGTH

  4.3.3 maxLength.

  See Also:
    Constant Field Values

### FACET_PATTERN

    static final short FACET_PATTERN

  4.3.4 pattern.

  See Also:
    Constant Field Values

### FACET_WHITESPACE

    static final short FACET_WHITESPACE

  4.3.5 whitespace.

  See Also:
    Constant Field Values

### FACET_MAXINCLUSIVE

    static final short FACET_MAXINCLUSIVE

  4.3.7 maxInclusive.

  See Also:
    Constant Field Values

### FACET_MAXEXCLUSIVE

    static final short FACET_MAXEXCLUSIVE

  4.3.9 maxExclusive.

  See Also:
    Constant Field Values

### FACET_MINEXCLUSIVE

    static final short FACET_MINEXCLUSIVE

  4.3.9 minExclusive.

  See Also:
    Constant Field Values

### FACET_MININCLUSIVE

    static final short FACET_MININCLUSIVE

  4.3.10 minInclusive.

  See Also:
    Constant Field Values

### FACET_TOTALDIGITS

    static final short FACET_TOTALDIGITS

  4.3.11 totalDigits .

  See Also:
    Constant Field Values

### FACET_FRACTIONDIGITS

    static final short FACET_FRACTIONDIGITS

  4.3.12 fractionDigits.

  See Also:
    Constant Field Values

### FACET_ENUMERATION

    static final short FACET_ENUMERATION

  4.3.5 enumeration.

  See Also:
    Constant Field Values

### ORDERED_FALSE

    static final short ORDERED_FALSE

  A constant defined for the 'ordered' fundamental facet: not ordered.

  See Also:
    Constant Field Values

### ORDERED_PARTIAL

    static final short ORDERED_PARTIAL

  A constant defined for the 'ordered' fundamental facet: partially ordered.

  See Also:
    Constant Field Values

### ORDERED_TOTAL

    static final short ORDERED_TOTAL

  A constant defined for the 'ordered' fundamental facet: total ordered.

  See Also:
    Constant Field Values

Method Detail

### getVariety

    short getVariety()

  [variety]: one of {atomic, list, union} or absent.

### getPrimitiveType

    XSSimpleTypeDefinition getPrimitiveType()

  If variety is `atomic` the primitive type definition (a built-in primitive datatype definition or the simple ur-type definition) is available, otherwise `null`.

### getBuiltInKind

    short getBuiltInKind()

  Returns the closest built-in type category this type represents or derived from. For example, if this simple type is a built-in derived type integer the `INTEGER_DV` is returned.

### getItemType

    XSSimpleTypeDefinition getItemType()

  If variety is `list` the item type definition (an atomic or union simple type definition) is available, otherwise `null`.

### getMemberTypes

    XSObjectList getMemberTypes()

  If variety is `union` the list of member type definitions (a non-empty sequence of simple type definitions) is available, otherwise an empty `XSObjectList`.

### getDefinedFacets

    short getDefinedFacets()

  [facets]: all facets defined on this type. The value is a bit combination of FACET_XXX constants of all defined facets.

### isDefinedFacet

    boolean isDefinedFacet(short facetName)

  Convenience method. [Facets]: check whether a facet is defined on this type.

  Parameters:
    `facetName` - The name of the facet.
  Returns:
    True if the facet is defined, false otherwise.

### getFixedFacets

    short getFixedFacets()

  [facets]: all defined facets for this type which are fixed.

### isFixedFacet

    boolean isFixedFacet(short facetName)

  Convenience method. [Facets]: check whether a facet is defined and fixed on this type.

  Parameters:
    `facetName` - The name of the facet.
  Returns:
    True if the facet is fixed, false otherwise.

### getLexicalFacetValue

    java.lang.String getLexicalFacetValue(short facetName)

  Convenience method. Returns a value of a single constraining facet for this simple type definition. This method must not be used to retrieve values for `enumeration` and `pattern` facets.

  Parameters:
    `facetName` - The name of the facet, i.e. `FACET_LENGTH, FACET_TOTALDIGITS`. To retrieve the value for a pattern or an enumeration, see `enumeration` and `pattern`.
  Returns:
    A value of the facet specified in `facetName` for this simple type definition or `null`.

### getLexicalEnumeration

    StringList getLexicalEnumeration()

  A list of enumeration values if it exists, otherwise an empty `StringList`.

### getLexicalPattern

    StringList getLexicalPattern()

  A list of pattern values if it exists, otherwise an empty `StringList`.

### getOrdered

    short getOrdered()

  Fundamental Facet: ordered.

### getFinite

    boolean getFinite()

  Fundamental Facet: cardinality.

### getBounded

    boolean getBounded()

  Fundamental Facet: bounded.

### getNumeric

    boolean getNumeric()

  Fundamental Facet: numeric.

### getFacets

    XSObjectList getFacets()

  A list of constraining facets if it exists, otherwise an empty `XSObjectList`. Note: This method must not be used to retrieve values for `enumeration` and `pattern` facets.

### getMultiValueFacets

    XSObjectList getMultiValueFacets()

  A list of enumeration and pattern constraining facets if it exists, otherwise an empty `XSObjectList`.

### getFacet

    XSObject getFacet(int facetType)

  A constraining facet object. An instance of XSFacet or XSMultiValueFacet.

### getAnnotations

    XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.